From 3a32506877f925f9c27f72558f7f07fdb3092fc2 Mon Sep 17 00:00:00 2001
From: Bill Roberts <bill.roberts@arm.com>
Date: Wed, 10 Jul 2024 12:18:02 -0500
Subject: [PATCH 1/2] arm: add include guards on header

Prevent double inclusion of header file.

Signed-off-by: Bill Roberts <bill.roberts@arm.com>
---
 pixman/pixman-arm-asm.h | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/pixman/pixman-arm-asm.h b/pixman/pixman-arm-asm.h
index edf8e82..1fe40b3 100644
--- a/pixman/pixman-arm-asm.h
+++ b/pixman/pixman-arm-asm.h
@@ -25,6 +25,8 @@
  *
  */
 
+#ifndef PIXMAN_ARM_ASM_H
+#define PIXMAN_ARM_ASM_H
 
 #include "pixman-config.h"
 
@@ -61,3 +63,5 @@
 	.endfunc
 #endif
 .endm
+
+#endif /* PIXMAN_ARM_ASM_H */
-- 
2.46.0

